Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Dmitrii Kuragin <[email-masked]>
Date: Sat, 27 Aug 2022 08:46:44 -0700

Here's a very interesting patch which fixes the flickering issue for me.

Maybe we do something inaccurate during the cost calculation? Or we use
some metric which is note representable on macos?

On Sat, Aug 27, 2022 at 8:03 AM Dmitrii Kuragin <[email-masked]> wrote:

> hm... I tried it in Terminal.app as well and it flickers less, likely
> because it uses 256 colors, whereas in alacritty or iTerm2, I use 24 bit
> colors.
>
> I tried to record a video of the behavior:
> https://drive.google.com/file/d/1nMf_3MxRk2cTdgF3tFmzAZoxcy3vQghc/view?usp=sharing
>
> On Fri, Aug 26, 2022 at 10:41 PM Gerd Möllmann <[email-masked]>
> wrote:
>
>> Gerd Möllmann <[email-masked]> writes:
>>
>> > I tried your recipe here with emacs -Q (Emacs 28.1 from Homebrew) in a
>> > maximaized Terminal.app window, with a font as tiny as I could get (with
>> > Command +/-).  I could not reproduce the flickering.
>> >
>> > Does this happen for you with emacs -Q in Terminal?
>>
>> BTW. this was
>>
>> GNU Emacs 28.1 (build 1, aarch64-apple-darwin21.3.0) of 2022-04-30
>>
>> and I'm running macOS 12.5.1.
>>
>> Maybe someone else having access to maxOS 11 can reproduce this?
>>
>
>
> --
> *If you get an email from me outside of the 9-5 it is *not* because I'm
> always on or expect an immediate response from you; it is because of work
> flexibility
> <http://www.inc.com/john-boitnott/how-flexible-hours-can-create-a-better-work-life-balance.html>
> .  Evening and weekend emails are a sign I allocated some regular working
> hours for other things (such as family, gym, friends,...).  And I encourage
> you to feel free to do the same.
>
>

-- 
*If you get an email from me outside of the 9-5 it is *not* because I'm
always on or expect an immediate response from you; it is because of work
flexibility
<http://www.inc.com/john-boitnott/how-flexible-hours-can-create-a-better-work-life-balance.html>
.  Evening and weekend emails are a sign I allocated some regular working
hours for other things (such as family, gym, friends,...).  And I encourage
you to feel free to do the same.